jif.ast

## Interface ActsForParamNode<Param extends ActsForParam>

- All Superinterfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Node, polyglot.ast.NodeOps, ParamNode, java.io.Serializable
  All Known Subinterfaces:
    AmbDynamicLabelNode, AmbJunctivePrincipalNode, AmbPrincipalNode, AmbProviderLabelNode, AmbThisLabelNode, AmbVarLabelNode, CanonicalLabelNode, CanonicalPrincipalNode, JoinLabelNode, LabelNode, MeetLabelNode, PrincipalNode
  All Known Implementing Classes:
    AmbDynamicLabelNode_c, AmbJunctivePrincipalNode_c, AmbLabelNode_c, AmbPrincipalNode_c, AmbProviderLabelNode_c, AmbThisLabelNode_c, AmbVarLabelNode_c, CanonicalLabelNode_c, CanonicalPrincipalNode_c, JoinLabelNode_c, LabelNode_c, MeetLabelNode_c, PrincipalNode_c

      public interface ActsForParamNode<Param extends ActsForParam>
      extends ParamNode

  A placeholder in the AST for a Jif principal or label.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Param` | `parameter()`
    `ActsForParamNode<Param>` | `parameter(Param parameter)`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### parameter

          Param parameter()

      Specified by:
        `parameter` in interface `ParamNode`

    - #### parameter

          ActsForParamNode<Param> parameter(Param parameter)